Переполнение буфера в Cscope

Дата публикации:
13.05.2009
Дата изменения:
13.05.2009
Всего просмотров:
1842
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Cscope 15.x
Уязвимые версии: Cscope версии до 15.7a

Описание:
Уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимости существуют из-за различных ошибок проверки границ данных при обработке файлов и словарей. Удаленный пользователь может вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: cscope.sourceforge.net

Решение: Установите последнюю версию 15.7a с сайта производителя.

Ссылки: http://sourceforge.net/project/shownotes.php?group_id=4664&release_id=679527
https://bugzilla.redhat.com/show_bug.cgi?id=490667

или введите имя

CAPTCHA